<?php
/**
 * SkeletonCart
 * (c) 2017 Juxtaposition Inc. All Rights Reserved.
 * (c) 2017 Curlybracket, Inc. All Rights Reserved.
 * This code cannot be redistributed without permission from the copyright holder.
 * For more information, consult your SkeletonCart license.
 **/

namespace MTDBConnector;

class StockAllocator extends \App\StockAllocator
{

    public function allocate()
    {
        try {
            $this->itemModel->itemList()->lock();
            parent::allocate();
        } catch (\Exception $e) {
            // emulate finally
        } /* finally */
        {
            $this->itemModel->itemList()->unlock();
            if (isset($e)) {
                throw $e;
            }
        }
    }
}